CMSIS DSP Software Library: arm_cfft_radix4_q31.c File Reference

Functions

# arm_cfft_radix4_q31.c File Reference

`#include "arm_math.h"`

Go to the source code of this file.

## Functions

void | arm_cfft_radix4_q31 (const arm_cfft_radix4_instance_q31 *S, q31_t *pSrc)
void | arm_radix4_butterfly_q31 (q31_t *pSrc, uint32_t fftLen, q31_t *pCoef, uint32_t twidCoefModifier)
void | arm_radix4_butterfly_inverse_q31 (q31_t *pSrc, uint32_t fftLen, q31_t *pCoef, uint32_t twidCoefModifier)
void | arm_bitreversal_q31 (q31_t *pSrc, uint32_t fftLen, uint16_t bitRevFactor, uint16_t *pBitRevTable)

## Function Documentation

void arm_radix4_butterfly_q31 | ( | q31_t * | pSrc,
|  | uint32_t | fftLen,
|  | q31_t * | pCoef,
|  | uint32_t | twidCoefModifier
| ) |  |

Core function for the Q31 CFFT butterfly process.

end of CFFT_CIFFT group

Parameters:

  [in,out] | *pSrc | points to the in-place buffer of Q31 data type.
  [in] | fftLen | length of the FFT.
  [in] | *pCoef | points to twiddle coefficient buffer.
  [in] | twidCoefModifier | twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Returns:
  none.

Definition at line 139 of file arm_cfft_radix4_q31.c.

void arm_radix4_butterfly_inverse_q31 | ( | q31_t * | pSrc,
|  | uint32_t | fftLen,
|  | q31_t * | pCoef,
|  | uint32_t | twidCoefModifier
| ) |  |

Core function for the Q31 CIFFT butterfly process.

Parameters:

  [in,out] | *pSrc | points to the in-place buffer of Q31 data type.
  [in] | fftLen | length of the FFT.
  [in] | *pCoef | points to twiddle coefficient buffer.
  [in] | twidCoefModifier | twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Returns:
  none.

Definition at line 517 of file arm_cfft_radix4_q31.c.

void arm_bitreversal_q31 | ( | q31_t * | pSrc,
|  | uint32_t | fftLen,
|  | uint16_t | bitRevFactor,
|  | uint16_t * | pBitRevTab
| ) |  |

In-place bit reversal function.

Parameters:

  [in,out] | *pSrc | points to the in-place buffer of Q31 data type.
  [in] | fftLen | length of the FFT.
  [in] | bitRevFactor | bit reversal modifier that supports different size FFTs with the same bit reversal table
  [in] | *pBitRevTab | points to bit reversal table.

Returns:
  none.

Definition at line 848 of file arm_cfft_radix4_q31.c.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines